Subject: send-email: change the default value of sendmail.validate

From: Drew DeVault <[email-masked]>
Date: Fri, 29 Jun 2018 15:07:51 -0400

The purpose of this configuration option is to prevent your emails from
blowing up on SMTP servers (rather than Extended SMTP servers). However,
I find it often confuses people whose patches are otherwise correct, and
they don't know how to solve the issue.

I haven't seen an SMTP server in a very long time which doesn't support
extended SMTP. The default behavior should probably change. If not, the
error message should be more clear about action items to address the
issue.

I'll send a patch around to change this shortly.

--
Drew DeVault